
Foreman - Bug #301

Disallow deletion of Environment when hosts are using it

06/02/2010 07:31 PM - Bash Shell

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The current Environment implementation in Foreman allows you to delete an Environment even if there are Hosts using it.

When you delete it, the Hosts are left with no puppet Environment.

There could be potential issues with this. (There could be different modules or templates in the default Environment)

It would be better if Foreman at least warned that some Hosts are using the Env.

Ideally, the Admin should reassign the Env to a different one before deleting it.

Foreman could also mention that.

Associated revisions

Revision 89ae8b88 - 06/03/2010 03:54 AM - Ohad Levy

fixes #301 - Disallow deletion of Environment when hosts are using it

History

#1 - 06/03/2010 03:22 AM - Ohad Levy

- Category set to Web Interface

- Assignee set to Ohad Levy

- Target version set to 0.1-5

#2 - 06/03/2010 04:00 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 89ae8b88202057cb4794d486d5b192506a38223c.

#3 - 06/03/2010 04:04 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
